## muffin 3.2.1

=== debian/changelog ===
muffin (3.2.1-2mx15+1) mx; urgency=medium

  * Rebuild for MX 15 repository.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 29 Jun 2017 18:16:38 -0700

muffin (3.2.1-2) unstable; urgency=medium

  * Release to unstable

 -- Margarita Manterola <marga@debian.org>  Tue, 20 Dec 2016 20:19:25 -0300

muffin (3.2.1-1) experimental; urgency=medium

  [ Margarita Manterola ]
  * New upstream release.

  [ Maximiliano Curia ]
  * Drop upstream applied patches
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Dec 2016 23:09:51 +0100

muffin (3.0.5-2) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Add new patches: Fixed-build.patch Make-AX_-macros-optional.patch
  * Add autoconf-archive build dep
  * Add automake as a build dep.
    Thanks to biebl for reporting (Closes: 837856)

 -- Margarita Manterola <marga@debian.org>  Mon, 17 Oct 2016 21:32:15 +0200
