## muffin 3.4.1

=== debian/changelog ===
muffin (3.4.1-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release (3.4.1).

  [ Maximiliano Curia ]
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 02 Sep 2017 07:35:29 +0200

muffin (3.4.0-1) experimental; urgency=medium

  * New upstream release (3.4.0).
  * Update symbols files.
  * Bump group breaks (3.4)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Sun, 06 Aug 2017 17:31:48 +0200
