=== debian/control ===
--- 
+++ 
@@ -1,46 +1,46 @@
 Source: muffin
 Section: x11
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Margarita Manterola <marga@debian.org>,
-           Fabio Fantoni <fantonifabio@tiscali.it>
-Build-Depends: autoconf-archive,
-               automake,
-               debhelper (>= 9),
-               dh-acc,
-               dh-autoreconf,
-               gnome-doc-utils (>= 0.8),
-               gnome-pkg-tools (>= 0.10),
-               gobject-introspection (>= 0.9.12-5~),
-               gtk-doc-tools,
-               intltool (>= 0.34.90),
-               libcanberra-gtk3-dev,
-               libcinnamon-desktop-dev (>= 2.4.0),
-               libclutter-1.0-dev (>= 1.14.3),
-               libcogl-dev (>= 1.13.3),
-               libgconf2-dev (>= 2.6.1-2),
-               libgirepository1.0-dev (>= 0.9.12),
-               libglib2.0-dev (>= 2.37.3),
-               libgtk-3-dev (>= 3.9.12),
-               libice-dev,
-               libjson-glib-dev (>= 0.13.2-1~),
-               libpango1.0-dev (>= 1.14.0),
-               libsm-dev,
-               libstartup-notification0-dev (>= 0.7),
-               libx11-dev,
-               libxcomposite-dev (>= 1:0.3),
-               libxcursor-dev,
-               libxdamage-dev,
-               libxext-dev,
-               libxfixes-dev,
-               libxinerama-dev,
-               libxrandr-dev,
-               libxrender-dev,
-               libxt-dev,
-               zenity
+Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
+Uploaders:
+ Maximiliano Curia <maxy@debian.org>,
+ Margarita Manterola <marga@debian.org>,
+ Fabio Fantoni <fantonifabio@tiscali.it>,
+Build-Depends:
+ autoconf-archive,
+ automake,
+ debhelper (>= 9),
+ dh-acc,
+ dh-autoreconf,
+ gnome-doc-utils (>= 0.8),
+ gnome-pkg-tools (>= 0.10),
+ gobject-introspection (>= 0.9.12-5~),
+ gtk-doc-tools,
+ intltool (>= 0.34.90),
+ libcanberra-gtk3-dev,
+ libcinnamon-desktop-dev (>= 2.4.0),
+ libclutter-1.0-dev (>= 1.14.3),
+ libcogl-dev (>= 1.13.3),
+ libgconf2-dev (>= 2.6.1-2),
+ libgirepository1.0-dev (>= 0.9.12),
+ libglib2.0-dev (>= 2.37.3),
+ libgtk-3-dev (>= 3.9.12),
+ libice-dev,
+ libjson-glib-dev (>= 0.13.2-1~),
+ libpango1.0-dev (>= 1.14.0),
+ libsm-dev,
+ libstartup-notification0-dev (>= 0.7),
+ libx11-dev,
+ libxcomposite-dev (>= 1:0.3),
+ libxcursor-dev,
+ libxdamage-dev,
+ libxext-dev,
+ libxfixes-dev,
+ libxinerama-dev,
+ libxrandr-dev,
+ libxrender-dev,
+ libxt-dev,
+ zenity,
 Standards-Version: 3.9.8
 Homepage: http://cinnamon.linuxmint.com/
 Vcs-Browser: https://anonscm.debian.org/git/pkg-cinnamon/muffin.git
@@ -49,10 +49,11 @@
 Package: muffin
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: muffin-common (= ${source:Version}),
-         zenity,
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends:
+ muffin-common (= ${source:Version}),
+ zenity,
+ ${misc:Depends},
+ ${shlibs:Depends},
 Provides: x-window-manager
 Recommends: cinnamon-session | x-session-manager
 Suggests: cinnamon-control-center, xdg-user-dirs
@@ -65,15 +66,17 @@
  manager.
  .
  This package contains the core binaries.
+Breaks: cinnamon (<< 3.4)
 
 Package: libmuffin0
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: muffin-common (= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Breaks: cinnamon (<= 3)
+Depends:
+ muffin-common (= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Breaks: cinnamon (<< 3.4)
 Description: lightweight window and compositing manager (shared library)
  Muffin is a small window manager performing compositing as well based on
  GTK+ and Clutter and used in desktop environment such as Cinnamon.
@@ -102,11 +105,12 @@
 Package: libmuffin-dev
 Section: libdevel
 Architecture: any
-Depends: gir1.2-meta-muffin-0.0 (= ${binary:Version}),
-         libclutter-1.0-dev (>= 1.0.0),
-         libgtk-3-dev (>= 3.0.0),
-         libmuffin0 (= ${binary:Version}),
-         ${misc:Depends}
+Depends:
+ gir1.2-meta-muffin-0.0 (= ${binary:Version}),
+ libclutter-1.0-dev (>= 1.0.0),
+ libgtk-3-dev (>= 3.0.0),
+ libmuffin0 (= ${binary:Version}),
+ ${misc:Depends},
 Description: lightweight window and compositing manager (development files)
  Muffin is a small window manager performing compositing as well based on
  GTK+ and Clutter and used in desktop environment such as Cinnamon.
@@ -131,6 +135,7 @@
  .
  This package contains the GObject introspection data which may be
  used to generate dynamic bindings.
+Breaks: cinnamon (<< 3.4), cinnamon-common (<< 3.4)
 
 Package: muffin-doc
 Section: doc
