## muffin 3.4.1%2Bbetsy

=== debian/changelog ===
muffin (3.4.1+betsy) sonya; urgency=medium

  [ leigh123linux ]
  * remove aclocal from autogen.sh as autoreconf calls it (#285)

  [ JosephMcc ]
  * meta-background-actor: Fix a warning when dispose is run multiple times

  [ Michael Webster ]
  * core/util.c: Replace "Window manager" with "Cinnamon" for better logging clarity.
  * add an issue template
  * display.c: Re-set the button grabs on the frame xwindow as well as the client window, when the preferences change.
  * window, window-props: Include window scale factor into a window's size hint sanity checks and the resize popup visibility check.

  [ Jose Marino ]
  * keybindings: fix erratic raise_or_lower behavior

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 08 Aug 2017 13:11:49 +0200

muffin (3.4.0) sonya; urgency=medium

  [ leigh123linux ]
  * change to sys/wait.h

  [ JosephMcc ]
  * Make meta_workspace_get_work_area_for_monitor public and introspectable
  * keybindings: Remove redundant function declarations
  * window: Remove duplicate function declarations
  * workspace: Remove duplicate function declaration

  [ Rowan Thorpe ]
  * Fix meta_screen_get_monitor_geometry override redirect (#283)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 03 May 2017 13:36:53 +0100

muffin (3.2.2) serena; urgency=medium

  [ Michael Webster ]
  * debian/control: Hardcode muffin-common dependencies - the generated .substvars file spits out a newer version of sgml-base than we have here (1.28 vs 1.26).

  [ Clement Lefebvre ]
  * Fix typo
  * Make background transitions configurable

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 08 Jan 2017 15:17:23 +0000
