## muffin 3.6.0

=== debian/changelog ===
muffin (3.6.0-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release (3.6.0).
  * Bump group breaks (3.6).
  * Update symbols.
  * Add missed libcinnamon-desktop-dev to libmuffin-dev deps.

  [ Maximiliano Curia ]
  * Set new ml as Maintainer
  * Drop gconf build dep.
    Thanks to Jeremy Bicha for the report (Closes: 891439)
  * Bump Standards-Version to 4.1.3.
  * Bump debhelper build-dep and compat to 11.
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Mar 2018 15:07:04 +0200
