=== debian/rules ===
--- 
+++ 
@@ -45,6 +45,3 @@
 	done
 
 	dh_acc
-
-override_dh_shlibdeps:
-	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info
