## muffin 3.6.0%2Bsylvia

=== debian/changelog ===
muffin (3.6.0+sylvia) sylvia; urgency=medium

  [ Simon Brown ]
  * x11/xprops: Plug a memory leak (#298)

  [ Fabio Fantoni ]
  * Remove old things from initial fork that seems not needed

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 02 Sep 2017 16:56:12 -0400
