## muffin 3.8.2

=== debian/changelog ===
muffin (3.8.2-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 16 Nov 2018 11:21:11 -0800

muffin (3.8.2-1) unstable; urgency=medium

  * New upstream release (3.8.2).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 07 Aug 2018 14:51:40 +0200

muffin (3.8.1-1) experimental; urgency=medium

  * New upstream release (3.8.1).
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 May 2018 20:11:20 +0200

muffin (3.8.0-1) experimental; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release (3.8.0).

  [ Maximiliano Curia ]
  * Bump Standards-Version to 4.1.4.
  * Install the typelib file to the m-a girrepository
  * Enable hardening bindnow
  * Bump group breaks (3.8)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 14:30:18 +0200
