=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: muffin
 Section: x11
 Priority: optional
-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
 Uploaders:
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
@@ -9,16 +10,15 @@
 Build-Depends:
  autoconf-archive,
  automake,
- debhelper (>= 11~),
+ debhelper (>= 11.1~),
  dh-acc,
- dh-autoreconf,
  gnome-doc-utils (>= 0.8),
  gnome-pkg-tools (>= 0.10),
  gobject-introspection (>= 0.9.12-5~),
  gtk-doc-tools,
  intltool (>= 0.34.90),
  libcanberra-gtk3-dev,
- libcinnamon-desktop-dev (>= 3.6),
+ libcinnamon-desktop-dev (>= 3.8),
  libclutter-1.0-dev (>= 1.14.3),
  libcogl-dev (>= 1.13.3),
  libgirepository1.0-dev (>= 0.9.12),
@@ -40,7 +40,7 @@
  libxrender-dev,
  libxt-dev,
  zenity,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://cinnamon.linuxmint.com/
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/muffin
 Vcs-Git: https://salsa.debian.org/cinnamon-team/muffin.git
@@ -59,16 +59,16 @@
  .
  This package contains the GObject introspection data which may be
  used to generate dynamic bindings.
-Breaks: cinnamon (<< 3.4), cinnamon-common (<< 3.4)
+Breaks: cinnamon (<< 3.8), cinnamon-common (<< 3.8)
 
 Package: libmuffin-dev
 Section: libdevel
 Architecture: any
 Depends:
  gir1.2-meta-muffin-0.0 (= ${binary:Version}),
- libcinnamon-desktop-dev,
- libclutter-1.0-dev (>= 1.0.0),
- libgtk-3-dev (>= 3.0.0),
+ libcinnamon-desktop-dev (>= 3.8),
+ libclutter-1.0-dev (>= 1.10.0),
+ libgtk-3-dev (>= 3.9.12),
  libmuffin0 (= ${binary:Version}),
  ${misc:Depends},
 Description: lightweight window and compositing manager (development files)
@@ -89,7 +89,7 @@
  muffin-common (= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks: cinnamon (<< 3.6)
+Breaks: cinnamon (<< 3.8)
 Description: lightweight window and compositing manager (shared library)
  Muffin is a small window manager performing compositing as well based on
  GTK+ and Clutter and used in desktop environment such as Cinnamon.
@@ -110,8 +110,8 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Provides: x-window-manager
-Recommends: cinnamon-session | x-session-manager
-Suggests: cinnamon-control-center, xdg-user-dirs
+Recommends: cinnamon-session (>= 3.8) | x-session-manager
+Suggests: cinnamon-control-center (>= 3.8), xdg-user-dirs
 Description: lightweight window and compositing manager
  Muffin is a small window manager performing compositing as well based on
  GTK+ and Clutter and used in desktop environment such as Cinnamon.
@@ -121,7 +121,7 @@
  manager.
  .
  This package contains the core binaries.
-Breaks: cinnamon (<< 3.6)
+Breaks: cinnamon (<< 3.8), cinnamon-core (<< 3.8~)
 
 Package: muffin-common
 Section: misc
