## muffin 3.8.2+tara

=== debian/changelog ===
muffin (3.8.2+tara) tara; urgency=medium

  [ Michael Webster ]
  * utils: Fix zenity dialog - don't use monospace for the heading, don't italicize the info text, force a wider dialog window.
  * window.c: Change behavior of meta_window_get_all_monitors() to return only those monitors of a fullscreen window that are completely covered by the window.
  * screen.c: Ignore dock-type windows when determining fullscreen window coverage on a monitor.

  [ itzexor ]
  * window.c: queue a fullscreen check when a window leaves a monitor

  [ Michael Webster ]
  * window: Move legacy fullscreen workaround out of constraints and into meta_window_move_resize_request.
  * window.c: set the "saved_maximize" internal state based on the resulting state of the window after a maximize call, not the directions that were requested for the call.
  * window.c: Always use the full window extents (including invisible) when running meta_window_get_all_monitors() on CSD windows.
  * meta-window-actor.c: Default to using shadows on windows.

  [ Clement Lefebvre ]
  * Software rendering: Don't remove shadows

  [ Michael Webster ]
  * screen.c: Ignore transient windows when working thru the stack figuring out if a monitor is fullscreened or not.
  * window-props.c: when reloading the transient_for property, if the given window id is not found, search existing windows' client leader ids for a match, and assign the match's window as the transient parent instead. (this seems to be typical for QT apps)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 08 Jun 2018 11:50:32 +0100

muffin (3.8.1) tara; urgency=medium

  [ Michael Webster ]
  * prefs: Fix introspection for meta_prefs_get_button_layout()
  * Remove META_LAYER_FULLSCREEN

  [ Germán Franco ]
  * Make MetaButtonLayout usable from introspection (#318)

  [ Fabio Fantoni ]
  * debian: wrap-and-sort -bst
  * improve debian/control
  * debian/rules: don't run configure twice
  * add debian/not-installed
  * circleci: remove mint18 job
  * Bump debhelper build-dep and compat to 10
  * update debian/copyright
  * debian/rules: remove override_dh_installdocs

  [ Michael Webster ]
  * screen.c: Redefine a fullscreen monitor as one where there is a (#317)

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 06 May 2018 15:13:58 +0100

muffin (3.8.0) tara; urgency=medium

  [ Michael Webster ]
  * debian/control: remove libgconf2-dev from build deps (not used)

  [ Clement Lefebvre ]
  * Add CI configuration
  * Remove gsettings key org.cinnamon.muffin button-layout

  [ JosephMcc ]
  * Fix an issue where window turns to a solid colored rectangle during the destroy animation

  [ Clement Lefebvre ]
  * window: Stop updating layers on focus changes
  * window: Do not unfocus on new window

  [ itzexor ]
  * window.c: always notify when tile-type property changes

  [ Andrew Gunsch ]
  * Fixes workspace animation direction for grid systems. (#303)

  [ Michael Webster ]
  * window-props.c: Don't scale GTK_FRAME_EXTENTS, it comes already-scaled from Gtk   (as of gtk 3.15.1)
  * MetaWindow: Support gtk edge constraints (restores csd-window resizing while tiled or snapped.)
  * atomnames.h: Move xapp atoms to non-EWMH list (they're actually named wrong but it's sort of late now.)
  * window.c: catch X errors when setting gtk constraints.  An error can occur when closing a tiled csd window.  It's likely that because of how closing occurs on these type windows (we respond to it, we don't initiate it) that the XID may be invalid by the time we move to update its properties.

  [ itzexor ]
  * meta-window-group: Report a paint volume
  * meta-background: Report a paint volume

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 20 Apr 2018 12:15:33 +0100

muffin (3.6.0) sylvia; urgency=medium

  [ Simon Brown ]
  * x11/xprops: Plug a memory leak (#298)

  [ Fabio Fantoni ]
  * Remove old things from initial fork that seems not needed

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 02 Sep 2017 16:56:12 -0400
