## muffin 4.0.6

=== debian/changelog ===
muffin (4.0.6-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Convert from native to (quilt) source format.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 17 Mar 2019 11:23:08 -0700

muffin (4.0.6+cindy) tessa; urgency=medium

  * Re-add gsettings key org.cinnamon.muffin button-layout

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 08 Jan 2019 18:26:33 +0000

muffin (4.0.5) tessa; urgency=medium

  [ Jason Hicks ]
  * window-actor: Fix corners not updating on size change (#394)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Dec 2018 11:15:12 +0000

muffin (4.0.4) tessa; urgency=medium

  [ Jason Hicks ]
  * shaped-texture: Return early if shape_region is NULL in ensure_mask (#389)
  * window-actor: Fix the mask texture not updating after windows re-map after re-decoration (#390)
  * Speed up window mapping (#391)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 06 Dec 2018 13:14:14 +0000

muffin (4.0.3) tessa; urgency=medium

  [ Jason Hicks ]
  * Revert "clutter: Deliver events sooner when possible" (#387)

  [ Michael Webster ]
  * docs: Disable internal cogl doc generation.

  [ Jason Hicks ]
  * Make transitions between restarts seamless

  [ Michael Webster ]
  * window.c: Remove tooltip workaround.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 27 Nov 2018 17:17:44 +0000

muffin (4.0.2) tessa; urgency=medium

  [ Jason Hicks ]
  * main: Reserve CLUTTER_PAINT for software rendering only (#379)
  * window-actor: Fix window shading (#381)
  * window-actor: Fix window artifacts on size/position change (#382)
  * shaped-texture: Don't redraw when setting the shape region (#384)

  [ Cobinja ]
  * Fix VLC fullscreen controller position (#383)

  [ Jason Hicks ]
  * window: Implement _NET_RESTACK_WINDOW and XConfigureRequestEvent sibling (#386)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 19 Nov 2018 09:56:39 +0000

muffin (4.0.1) tessa; urgency=medium

  [ Eli Schwartz ]
  * always process clutter Makefile.in (#374)

  [ Jason Hicks ]
  * window-actor: Queue mask texture update on maximize (#376)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 12 Nov 2018 15:17:50 +0000

muffin (4.0.0) tessa; urgency=medium

  [ Michael Webster ]
  * window.c: Allow the user-defined workspace left/right shortcuts to be used when dragging a window in addition to the advertised arrow- left/right.
  * meta-window-actor.c: Don't shadow dock type windows as a rule.
  * window-props: Start respecting the _GTK_HIDE_TITLEBAR_WHEN_MAXIMIZED window hint.
  * stack.c: Don't attempt to restack or raise windows that are in the process of being unmanaged.
  * theme-parser.c: Look in XDG_DATA_HOME (.local/share) for themes.
  * stack: Place dock windows below other windows when the monitor they're on is in fullscreen.

  [ Jason Hicks ]
  * texture-tower: Remove CPU codepath for mipmap generation
  * tower: make sure not to blend when updating tower
  * MetaTextureTower: actually mark revalidated levels as valid
  * texture-tower: Fix error case in meta-texture-tower
  * Update for Cogl API breaks
  * Use correct cogl object types
  * compositor: Handle fences in the frontend X connection (#338)
  * compositor: map overlay window before redirecting windows (#340)
  * compositor: sync stacking of window actors even if they're not parented to the window groups (#341)
  * compositor: Fix ClutterTimeline usage (#342)
  * Remove clutter version check
  * compositor: Don't connect to the stage's paint signal
  * compositor: Default to META_SYNC_DELAY == 0
  * Integrate Clutter and Cogl into Muffin (WIP)
  * Remove libclutter-1.0-dev from debian dependencies
  * Update muffin dependencies, add options found in the Mutter tree
  * Add missing math lib to cogl-path
  * Remove cogl-1.0 from deps
  * Symlink muffin libs to libdir, needed for gtkdoc-scan in cinnamon to finish
  * Remove clutter-1.0 from Makefile.am, get muffin linking to its private libs
  * Fix segfault on initialization
  * Remove debug option, remove cogl onscreen related calls in meta_pre_paint_func
  * Add missing macros for Clutter
  * Update build dependencies
  * Disable kms-egl-platform
  * Update dependencies for LMDE
  * Clutter: Update Makefile.am.marshal
  * Clutter: Prevent assertion error from wayland function
  * Fix clutter stage assertion errors
  * Clutter: expose vblank mode to gsettings
  * clutter: Deliver events sooner when possible
  * clutter: Smooth out master clock to smooth visuals
  * Fix up segfault fix, apply upstream patches for window syncing
  * Remove meta_window_actor_frame_complete, frame_callback
  * window-group: Decompose culling operations into two methods
  * window-actor: Base the paint volume on our children, not our shape
  * Don't cache the paint volume on non-clipped redraws
  * screen: Get monitor refresh rates from xrandr
  * meta-window-actor: Use the monitor refresh rate to get frame timings
  * meta-window-actor: Don't process invisible windows that have a pixmap
  * Add option to toggle frame timings
  * cogl-winsys-glx: Fix frame notification race/leak
  * Replace libmuffin-dev with libmuffin0
  * Don't use cogl_onscreen_add_frame_callback for Nvidia

  [ Clement Lefebvre ]
  * Fix desktop background appearing during the login sequence

  [ Jason Hicks ]
  * Remove remaining deprecated Cogl 1.0 usage (#348)
  * window: Various performance improvements (#349)
  * shaped-texture: Disable mipmapping during animation (#353)
  * Improve handling of tracking the old focused window during restart (#346)
  * meta-shaped-texture: Don't queue redraws for obscured regions
  * meta-window-actor: Throttle obscured frame synced apps
  * Remove unused variable
  * shaped-texture: Remove dead code

  [ Adel Gadllah ]
  * window_actor: Remove the frame_messages timeout in destroy

  [ Jason Hicks ]
  * window: Fix a couple leaks (#357)
  * Double check whether the user time window was previously used (#358)
  * clutter: Improve smoothness of visuals (#355)

